curl --request GET \
--url https://api.lilt.com/v2/workflows/templates \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lilt.com/v2/workflows/templates"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lilt.com/v2/workflows/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 15,
"name": "Translate > Review > Customer Review",
"TeamId": 100,
"stages": [
{
"name": "Translate",
"assignmentType": "TRANSLATE"
}
]
}
]"<string>"{
"message": "Internal server error."
}Retrieve workflow templates
Get all of the possible Workflow Templates owned by the team. Useful for retrieving the ids corresponding to each workflow tables, and passing them to subsequent requests, for example, creating a new Job with a specific Workflow.
Example CURL:
bash curl -X GET 'https://api.lilt.com/v2/workflows/templates?key=API_KEY'
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Response
An array with a team's available WorkflowTemplates.
Identifier of a teams Workflow template. Can be used during Job creation for specifying the workflow used for a job or language pair.
15
"Translate > Review > Customer Review"
The name of a given Workflow template.
100
The stages in this workflow template.
Show child attributes
Show child attributes
Was this page helpful?

